
Foreman - Bug #6763

Both locations and organizations shown in search autocomplete

07/24/2014 03:45 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Search   

Target version: 1.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1122828 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1702

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1122828

Description of problem:

The search autocompletion on the organisation and location list pages shows both orgs & locs no matter which page you're on.

Version-Release number of selected component (if applicable):

6.0.3

How reproducible:

Always

Steps to Reproduce:

1. View the organisations page

2. Type "name = " into search

Actual results:

Lists both locations and organisations

Expected results:

Only organisations

Additional info:

Vice-versa on locations page.

Associated revisions

Revision 26ee3b1e - 09/04/2014 09:51 AM - Tomer Brisker

Fixes #6763 - Correctly choose autocomplete search scope for taxonomies depenant on controller

Revision 54e19b73 - 10/07/2014 08:44 AM - Tomer Brisker

Fixes #6763 - Correctly choose autocomplete search scope for taxonomies depenant on controller

(cherry picked from commit 26ee3b1e4f526a3c3975a3640e868dda205b5850)

History

#1 - 07/24/2014 03:46 AM - Dominic Cleal

- Category set to Search

#2 - 08/19/2014 03:24 AM - Tomer Brisker

- Status changed from New to Assigned

#3 - 08/20/2014 09:05 AM - Tomer Brisker

- Assignee set to Tomer Brisker
https://bugzilla.redhat.com/show_bug.cgi?id=1122828


This is caused by scoped search mistakenly setting {Organization, Location}.scoped_search_definition.klass to Taxonomy instead of the relevant

class.

#4 - 08/20/2014 09:08 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.4

- Pull request https://github.com/theforeman/foreman/pull/1702 added

- Pull request deleted ()

#5 - 09/04/2014 09:53 AM - Dominic Cleal

- translation missing: en.field_release set to 22

#6 - 09/04/2014 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 26ee3b1e4f526a3c3975a3640e868dda205b5850.
